## org.jboss.netty.util
Interface Timeout

    public interface Timeout

A handle associated with a `TimerTask` that is returned by a `Timer`.

Version:
  $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`void` `cancel()` Cancels the `TimerTask` associated with this handle.
`TimerTask` `getTask()` Returns the `TimerTask` which is associated with this handle.
`Timer` `getTimer()` Returns the `Timer` that created this handle.
`boolean` `isCancelled()` Returns `true` if and only if the `TimerTask` associated with this handle has been cancelled.
`boolean` `isExpired()` Returns `true` if and only if the `TimerTask` associated with this handle has been expired.

Method Detail

### getTimer

    Timer getTimer()

  Returns the `Timer` that created this handle.

### getTask

    TimerTask getTask()

  Returns the `TimerTask` which is associated with this handle.

### isExpired

    boolean isExpired()

  Returns `true` if and only if the `TimerTask` associated with this handle has been expired.

### isCancelled

    boolean isCancelled()

  Returns `true` if and only if the `TimerTask` associated with this handle has been cancelled.

### cancel

    void cancel()

  Cancels the `TimerTask` associated with this handle. It the task has been executed or cancelled already, it will return with no side effect.

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.